## ucar.util
Class AbstractLogger

    java.lang.Object
      ucar.util.AbstractLogger

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  RMILogger

public abstract class AbstractLogger
extends Object
implements Logger

Partial implementation of Logger. Implements the shorthand `logXXXX(message)` methods in terms of the primitive `log(XXXX, message)` method.

See Also:
  `Logger`

Field Summary

Fields inherited from interface ucar.util.Logger
`ALERT, CRIT, DEBUG, EMERG, ERR, INFO, NOTICE, WARNING`

Constructor Summary
`AbstractLogger()`

Method Summary
`void` `logDebug(String message)` Log the `message` at priority `Logger.DEBUG`.
`void` `logError(String message)` Log the `message` at priority `Logger.ERR`.
`void` `logInfo(String message)` Log the `message` at priority `Logger.INFO`.
`protected void` `logLogException(IOException ioe, String message)` Implementation hook to deal with internal exceptions.
`void` `logNotice(String message)` Log the `message` at priority `Logger.NOTICE`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ucar.util.Logger
`log, logUpTo`

Constructor Detail

### AbstractLogger

    public AbstractLogger()

Method Detail

### logLogException

    protected void logLogException(IOException ioe,
                                   String message)

  Implementation hook to deal with internal exceptions. This implementation does nothing. Override this method to do something about `IOException` in the `Logger` shorthand methods implemented here.

### logError

    public void logError(String message)

  Log the `message` at priority `Logger.ERR`.

  Specified by:
    `logError` in interface `Logger`
  See Also:
    `Logger.ERR`

### logNotice

    public void logNotice(String message)

  Log the `message` at priority `Logger.NOTICE`.

  Specified by:
    `logNotice` in interface `Logger`
  See Also:
    `Logger.NOTICE`

### logInfo

    public void logInfo(String message)

  Log the `message` at priority `Logger.INFO`.

  Specified by:
    `logInfo` in interface `Logger`
  See Also:
    `Logger.INFO`

### logDebug

    public void logDebug(String message)

  Log the `message` at priority `Logger.DEBUG`.

  Specified by:
    `logDebug` in interface `Logger`
  See Also:
    `Logger.DEBUG`